## altdns 1.0.2+git20250109.6728272

=== requirements.txt ===
tldextract
argparse
termcolor
dnspython

## altdns 1.0.2

=== debian/changelog ===
altdns (1.0.2-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:27:08 +0200

altdns (1.0.2-0kali1) kali-dev; urgency=low

  * New upstream release.

 -- Kali Janitor <janitor@kali.org>  Fri, 18 Nov 2022 17:11:02 -0000

altdns (1.0.0+git20200123-0kali1) kali-dev; urgency=medium

  * Initial release (see 6500)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 06 Jan 2021 15:33:28 +0100

=== debian/control ===
Source: altdns
Section: net
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all
Standards-Version: 4.6.1
Homepage: https://github.com/infosec-au/altdns
Rules-Requires-Root: no

Package: altdns
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Subdomain discovery through alterations and permutations
 This package contains a DNS recon tool that allows for the discovery of
 subdomains that conform to patterns. Altdns takes in words that could be
 present in subdomains under a domain (such as test, dev, staging) as well as
 takes in a list of subdomains that you know of.
 .
 From these two lists that are provided as input to altdns, the tool then
 generates a massive output of "altered" or "mutated" potential subdomains that
 could be present. It saves this output so that it can then be used by your
 favourite DNS bruteforcing tool.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=py-altdns

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: altdns -h
Restrictions: superficial

=== debian/watch ===
version=4
 https://pypi.debian.net/py-altdns/py-altdns-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## altdns 1.0.2+git20210909.8c1de0f

=== debian/changelog ===
altdns (1.0.2+git20210909.8c1de0f-2) unstable; urgency=medium

  * Team Upload
  * Upload source-only to allow migration to testing
  * Add Salsa's CI configuration file
  * Configure git-buildpackage for Debian

 -- Sophie Brun <sophie@freexian.com>  Wed, 21 Feb 2024 08:42:34 +0100

altdns (1.0.2+git20210909.8c1de0f-1) unstable; urgency=medium

  * Initial release. (Closes: #1060880)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 14 Jan 2024 23:03:44 -0300

=== debian/control ===
Source: altdns
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-configargparse,
               python3-dnspython,
               python3-termcolor,
               python3-tldextract
Standards-Version: 4.6.2
Homepage: https://github.com/infosec-au/altdns
Vcs-Browser: https://salsa.debian.org/pkg-security-team/altdns
Vcs-Git: https://salsa.debian.org/pkg-security-team/altdns.git

Package: altdns
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-configargparse,
         python3-dnspython,
         python3-termcolor,
         python3-tldextract
Description: Subdomain discovery through alterations and permutations
 This package contains a DNS recon tool that allows for the discovery of
 subdomains that conform to patterns. Altdns takes in words that could be
 present in subdomains under a domain (such as test, dev, staging) as well
 as takes in a list of subdomains that you know of.
 .
 From these two lists that are provided as input to altdns, the tool then
 generates a massive output of "altered" or "mutated" potential subdomains
 that could be present. It saves this output so that it can then be used by
 your favourite DNS bruteforcing tool.

=== debian/watch ===
version=4
opts="mode=git, pretty=1.0.2+git%cd.%h, pgpmode=none" \
https://github.com/infosec-au/altdns HEAD

## altdns 1.0.2+git20250109.6728272

=== debian/changelog ===
altdns (1.0.2+git20250109.6728272-1) unstable; urgency=medium

  * New upstream version 1.0.2+git20250109.6728272
  * debian/control:
     - Bumped Standards-Version to 4.7.0
  * debian/manpage/altdns.1:
     - Manpage adjustments and corrections (Closes: #1079699)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 01 Feb 2025 08:53:41 -0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-dnspython,
                python3-termcolor,
                python3-tldextract
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/infosec-au/altdns
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/altdns
 Vcs-Git: https://salsa.debian.org/pkg-security-team/altdns.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=altdns

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install -- --install-args="--install-lib=/usr/share/"
	install -m 755 -p -T debian/altdns.py debian/altdns/usr/bin/altdns
